Add Wikidata json dumps to labs in /public/dumps
Closed, ResolvedPublic1 Story Points

Description

Dump on labs are stored in this directory:

addshore@tools-bastion-01:/public/dumps$ ls
incr  lost+found  pagecounts-raw  public

The wikidata json dumps should also be stored here

The change will need to be made in puppet somewhere

Addshore updated the task description. (Show Details)
Addshore raised the priority of this task from to Normal.
Addshore added a subscriber: Addshore.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptMay 30 2015, 11:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher added a subscriber: hoo.

+1 would be useful :)

Hydriz added a subscriber: Hydriz.EditedJun 2 2015, 1:27 PM

The dumps have always existed under /data/scratch/wikidataand /data/scratch/wikibase for people to use. However, it would be great if they can be moved to the /public/dumps directory.

Addshore updated the task description. (Show Details)Jun 2 2015, 1:31 PM

@Hydriz Ahh, it's awesome that they exist there!

Yes it would be great if they were moved!

Addshore renamed this task from Add Wikidata json dumps to labs to Add Wikidata json dumps to labs in /public/dumps.Jun 2 2015, 1:33 PM
Addshore updated the task description. (Show Details)
Tobi_WMDE_SW edited a custom field.Jun 2 2015, 5:03 PM

Is there some automated script in some git repo that puts either these dumps there? From a quick glance it seems not to be in operations/puppet.git .

Addshore claimed this task.Jun 3 2015, 9:05 AM

Change 215585 had a related patch set uploaded (by Addshore):
rsync wikidata json dumps to labs /public/dumps

https://gerrit.wikimedia.org/r/215585

So everyone watching this ticket has some idea of a timescale for this!

10:06 AM <grrrit-wm> (PS1) Addshore: rsync wikidata json dumps to labs /public/dumps [puppet] - https://gerrit.wikimedia.org/r/215585 (https://phabricator.wikimedia.org/T100885) 
10:08 AM <YuviPanda> addshore: cool :) now poke apergos to merge :)
10:08 AM <apergos> all those are goig to get done this week
10:08 AM <apergos> now we have lots of space again

...waiting for folks to get legacy/symlink/etc stuff sorted out on the changeset and I'll be happy to merge it through.

so guys, where are we on that changeset?

@hoo needs to have a look at it. He just got back. Hopefully will happen today :)

Change 215585 merged by ArielGlenn:
rsync wikidata json dumps to labs /public/dumps

https://gerrit.wikimedia.org/r/215585

hoo closed this task as Resolved.Jun 29 2015, 11:57 PM
hoo removed a project: Patch-For-Review.
hoo moved this task from Review to Done on the Wikidata-Sprint-2015-06-16 board.
Restricted Application added a project: User-Addshore. · View Herald TranscriptJun 7 2017, 6:51 PM
Addshore moved this task from Backlog to Done ✔️ on the User-Addshore board.Jun 12 2017, 2:44 PM